com.informix.asf

## Class JnsObject

- java.lang.Object
- - com.informix.asf.JnsObject

    public class JnsObject
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`JnsObject()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getClientLocale()` Gets the class variable ClientLocale.
`int` `getGroupCount()` Gets the server group count.
`boolean` `getIfOptionC_One()`
`java.lang.String` `getIPAddr()` Gets the IP address to the database host.
`java.lang.String` `getPortNo()` Gets the port number to the database server.
`int` `getPortNumber()` Gets the port number to the database server.
`ServerGroup` `getServerGroup()` Gets the server group from the sqlhost.
`java.lang.String` `getServerName()` Gets the server name from the database server group.
`static int` `getServiceByName(java.lang.String serviceName)`
`void` `JnsLookup(java.lang.String servername, java.util.Properties optProps)`
`void` `setClientLocale(java.lang.String locale)` Set the class variable ClientLocale.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JnsObject

    public JnsObject()

### Method Detail

#### getIfOptionC_One

    public boolean getIfOptionC_One()

#### JnsLookup

    public void JnsLookup(java.lang.String servername,
                          java.util.Properties optProps)
                   throws IfxASFException

Throws:
  `IfxASFException`

#### getServerGroup

    public ServerGroup getServerGroup()

Gets the server group from the sqlhost.

Returns:
  the servername.

#### getGroupCount

    public int getGroupCount()

Gets the server group count.

Returns:
  the servername.

#### getServerName

    public java.lang.String getServerName()

Gets the server name from the database server group.

Returns:
  the servername.

#### getIPAddr

    public java.lang.String getIPAddr()

Gets the IP address to the database host.

Returns:
  the IP address.

#### getPortNo

    public java.lang.String getPortNo()

Gets the port number to the database server.

Returns:
  the port number.

#### getPortNumber

    public int getPortNumber()

Gets the port number to the database server.

Returns:
  the port number.

#### setClientLocale

    public void setClientLocale(java.lang.String locale)

Set the class variable ClientLocale. ClientLocale is the locale of any exception/error output. null defaults to the default (English).

Parameters:
  `locale` - the clients locale.

#### getClientLocale

    public java.lang.String getClientLocale()

Gets the class variable ClientLocale. ClientLocale is the locale of any exception/error output.

Returns:
  the client locale setting.

#### getServiceByName

    public static int getServiceByName(java.lang.String serviceName)